KashierDevelopersKashier Developers

Get available banks

curl -X GET "https://test-api.kashier.io/merchant/installments/banks/plans?mid=string&amount=string"
{  "response": {    "banks": [      {        "logoUrl": "https://static.kashier.io/financial-institution/fiLogo88.67764148407942",        "bankNameEn": "Abu Dhabi Islamic Bank",        "bankNameAr": "مصرف أبوظبي الإسلامي",        "bankAbbreviation": "ADIB",        "banknSystemID": "FI-13",        "planFinancing": 1,        "plans": [          {            "planFinancing": true,            "bankId": "63fca87d0c82af705635fabb"          }        ],        "termsAndConditions": {          "termsAndConditionsEn": "https://www.adib.eg/personal-banking/adib-cards/cardsoffer",          "termsAndConditionsAr": "https://www.adib.eg/arabic/personal-banking/adib-cards/cardsoffer"        },        "minimunInstallmentAmount": 10,        "binRanges": [          {            "_id": "650c250f4bd0150013b9bec5",            "prefix": "548457",            "product": "Gold Mastercard",            "range": {              "from": "0000",              "to": "9999"            }          },          {            "_id": "650c250f4bd0150013b9bec6",            "prefix": "524524",            "product": "Titanium MasterCard",            "range": {              "from": "0000",              "to": "9999"            }          },          {            "_id": "650c250f4bd0150013b9bec7",            "prefix": "513896",            "product": "Platinum MasterCard",            "range": {              "from": "0000",              "to": "9999"            }          }        ]      }    ],    "allowValu": true,    "allowFawry": true,    "allowOcto": false,    "allowSouhoola": false  },  "messages": {    "en": "Installment enabled banks retrieved successfully.",    "ar": "Installment enabled banks retrieved successfully."  },  "status": "SUCCESS"}

Retrieves the installment-enabled banks (with their plans, BIN ranges, and terms & conditions) for a given merchant and product price. Step 1 of retrieving installment plans.

Query Parameters

mid*string

Merchant account number or merchant ID

amount*string

the price of the product you want to get installments for

Response Body

application/json

application/json

application/json

GET
/merchant/installments/banks/plans